#***********************************************************

ASC	= exec ../../../armcc/asmconv.sh
AS	= ../../../armcc/bin/arm-elf-as.exe -EL -mthumb-interwork 
LD	= ../../../armcc/bin/arm-elf-ld.exe 
OC	= ../../../armcc/bin/arm-elf-objcopy.exe
RE	= ../../../armcc/bin/arm-elf-readelf.exe
CC	= ../../../armcc/bin/arm-elf-gcc.exe  

INC	= -I . -I ../.\
	  -I ../source/sound/\
	  -I ../source/mem/\
	  -I ../source/kollision/\
	  -I ../source/
	    
LDFLG	= --script ../../armcc/system/lnkscript\
	  -L ../../armcc/lib/gcc-lib/arm-elf/3.4.0/interwork/\
	  
	   
CFLAGS  = -mthumb-interwork -mlong-calls -fverbose-asm  -Wall -mcpu=arm7tdmi -O3

EOBJS	=	
OBJ 	= 	fill_rowbyrow.o\
		circle.o\
		bresenham.o\
		spline.o\
		search_rek.o\
		irq_handler.o


all:    $(OBJ)
	
%.o:   %.s 
	$(ASC) $< >temp.s
	$(AS)  temp.s $(INC) -o $@
	
%.o:   %.c 
	$(CC) -S $< $(CFLAGS) -o bsearch.S
	
clean:
	rm -rf $(OBJ)	

